## golang-github-dennwc-varint 1.0.0

=== debian/changelog ===
golang-github-dennwc-varint (1.0.0-3) unstable; urgency=medium

  [ Guillem Jover ]
  * Update gitlab-ci.yml from its new refactored template.
  * Switch Standards-Version to 4.7.0 (no changes needed).
  * Reorganize debian/control field order.
  * Update copyright years.

  [ Martina Ferrari ]
  * Bump golang version to avoid build failures.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 09 Sep 2024 23:47:03 +0200

golang-github-dennwc-varint (1.0.0-2) unstable; urgency=medium

  * Fix protobuf support on 32-bit architectures.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 19 Nov 2021 13:46:41 +0100

golang-github-dennwc-varint (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #999571)
    - Add patch to fix build with golang 1.17.x.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 12 Nov 2021 18:13:21 +0100
